<?php

App::uses('AppComponent', 'Controller/Component');

class SlideshowsComponent extends AppComponent {

	public function getSlideshow($id, $params = []) {
		$Slideshow = EvClassRegistry::init('EvSlideshow.Slideshow');

		$params = Hash::merge(
			[
				'conditions' => [
					'Slideshow.id' => $id,
					'Slideshow.is_active' => true
				],
				'contain' => [
					'Slide' => [
						'conditions' => [
							'Slide.is_active' => true
						],
						'order' => [
							'Slide.sequence ASC, Slide.name ASC'
						],
						'Image'
					]
				],
			],
			$params
		);

		$result = $Slideshow->find('first', $params);

		return $result;
	}
}
