<?php

App::uses('EvSlideshowAppController', 'EvSlideshow.Controller');

/**
 * SlideshowSlides Controller
 *
 */
class SlideShowsController extends EvSlideshowAppController {

	public function admin_edit($id = null) {
		$Model = $this->{$this->modelClass};
		$modelAlias = $Model->alias;

		parent::admin_edit($id);

		$configFields = Configure::read('EvSlideshow.fields');

		foreach ($configFields as $key => $value) {
			if ($key == 'extra') {

				foreach ($value as $extraColumn => &$extraValue) {
					if (isset($extraValue['validate'])) {
						unset($extraValue['validate']);
					}

					$slideFields['extra_' . $extraColumn] = $extraValue;

				}

			} else {
				$slideFields[$key] = $value;
			}
		}
		$this->set('slideFields', $slideFields);

		//Get slide image slots so that they can be added to slides
		$this->set('slideImageSlots', $Model->Slide->imageSlots);

		$this->view = 'EvSlideshow./Slideshows/admin_form';
	}
}
